NetMapConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Interface NetMapConstants

All Known Implementing Classes:
  NetMapConnector, NetMapGraphicLoader, NetMapReader

    public interface NetMapConstants

This interface describes the different constant settings used for the NetMapEvent properties. If you implement this class, you have direct access to the constants.

Field Summary
`static java.lang.String` | `CLEAR`
`static java.lang.String` | `COMMAND_FIELD`
`static java.lang.String` | `DATABASE_TAG_FIELD`
`static java.lang.String` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_SERVER`
`static java.lang.String` | `ELEVATION_FIELD`
`static double` | `ERROR_VALUE_DOUBLE`
`static float` | `ERROR_VALUE_FLOAT`
`static int` | `ERROR_VALUE_INT`
`static java.lang.String` | `HEIGHT_FIELD`
`static java.lang.String` | `ICON_FIELD`
`static java.lang.String` | `INDEX_FIELD`
`static java.lang.String` | `IP_FIELD`
`static java.lang.String` | `JMAP_VIEW_CMD`
`static java.lang.String` | `JOFFSET_FIELD`
`static java.lang.String` | `LABEL_FIELD`
`static java.lang.String` | `LAT_FIELD`
`static int` | `LINE_DELETE`
`static java.lang.String` | `LINE_DELETE_STRING`
`static java.lang.String` | `LINK_NODE1_FIELD`
`static java.lang.String` | `LINK_NODE2_FIELD`
`static java.lang.String` | `LINK_OBJECT`
`static java.lang.String` | `LINK_OBJECT_STATUS`
`static java.lang.String` | `LON_FIELD`
`static java.lang.String` | `MENU_FIELD`
`static java.lang.String` | `NAME_FIELD`
`static int` | `NODE_DELETE`
`static java.lang.String` | `NODE_DELETE_STRING`
`static int` | `NODE_MOVE`
`static java.lang.String` | `NODE_MOVE_STRING`
`static java.lang.String` | `NODE_OBJECT`
`static java.lang.String` | `NODE_OBJECT_STATUS`
`static java.lang.String` | `POSX_FIELD`
`static java.lang.String` | `POSY_FIELD`
`static java.lang.String` | `REFRESH`
`static java.lang.String` | `SHAPE_FIELD`
`static java.lang.String` | `STATUS_FIELD`
`static java.lang.String` | `TIME_FIELD`
`static java.lang.String` | `UPDATE`
`static java.lang.String` | `WIDTH_FIELD`

Field Detail

### DEFAULT_SERVER

    static final java.lang.String DEFAULT_SERVER

See Also:
  Constant Field Values

### DEFAULT_PORT

    static final java.lang.String DEFAULT_PORT

See Also:
  Constant Field Values

### ERROR_VALUE_INT

    static final int ERROR_VALUE_INT

See Also:
  Constant Field Values

### ERROR_VALUE_FLOAT

    static final float ERROR_VALUE_FLOAT

See Also:
  Constant Field Values

### ERROR_VALUE_DOUBLE

    static final double ERROR_VALUE_DOUBLE

See Also:
  Constant Field Values

### NODE_MOVE

    static final int NODE_MOVE

See Also:
  Constant Field Values

### NODE_DELETE

    static final int NODE_DELETE

See Also:
  Constant Field Values

### LINE_DELETE

    static final int LINE_DELETE

See Also:
  Constant Field Values

### NODE_MOVE_STRING

    static final java.lang.String NODE_MOVE_STRING

See Also:
  Constant Field Values

### NODE_DELETE_STRING

    static final java.lang.String NODE_DELETE_STRING

See Also:
  Constant Field Values

### LINE_DELETE_STRING

    static final java.lang.String LINE_DELETE_STRING

See Also:
  Constant Field Values

### JMAP_VIEW_CMD

    static final java.lang.String JMAP_VIEW_CMD

See Also:
  Constant Field Values

### NODE_OBJECT

    static final java.lang.String NODE_OBJECT

See Also:
  Constant Field Values

### NODE_OBJECT_STATUS

    static final java.lang.String NODE_OBJECT_STATUS

See Also:
  Constant Field Values

### LINK_OBJECT

    static final java.lang.String LINK_OBJECT

See Also:
  Constant Field Values

### LINK_OBJECT_STATUS

    static final java.lang.String LINK_OBJECT_STATUS

See Also:
  Constant Field Values

### REFRESH

    static final java.lang.String REFRESH

See Also:
  Constant Field Values

### UPDATE

    static final java.lang.String UPDATE

See Also:
  Constant Field Values

### CLEAR

    static final java.lang.String CLEAR

See Also:
  Constant Field Values

### COMMAND_FIELD

    static final java.lang.String COMMAND_FIELD

See Also:
  Constant Field Values

### INDEX_FIELD

    static final java.lang.String INDEX_FIELD

See Also:
  Constant Field Values

### SHAPE_FIELD

    static final java.lang.String SHAPE_FIELD

See Also:
  Constant Field Values

### STATUS_FIELD

    static final java.lang.String STATUS_FIELD

See Also:
  Constant Field Values

### ICON_FIELD

    static final java.lang.String ICON_FIELD

See Also:
  Constant Field Values

### LAT_FIELD

    static final java.lang.String LAT_FIELD

See Also:
  Constant Field Values

### LON_FIELD

    static final java.lang.String LON_FIELD

See Also:
  Constant Field Values

### TIME_FIELD

    static final java.lang.String TIME_FIELD

See Also:
  Constant Field Values

### POSX_FIELD

    static final java.lang.String POSX_FIELD

See Also:
  Constant Field Values

### POSY_FIELD

    static final java.lang.String POSY_FIELD

See Also:
  Constant Field Values

### HEIGHT_FIELD

    static final java.lang.String HEIGHT_FIELD

See Also:
  Constant Field Values

### WIDTH_FIELD

    static final java.lang.String WIDTH_FIELD

See Also:
  Constant Field Values

### MENU_FIELD

    static final java.lang.String MENU_FIELD

See Also:
  Constant Field Values

### LABEL_FIELD

    static final java.lang.String LABEL_FIELD

See Also:
  Constant Field Values

### JOFFSET_FIELD

    static final java.lang.String JOFFSET_FIELD

See Also:
  Constant Field Values

### LINK_NODE1_FIELD

    static final java.lang.String LINK_NODE1_FIELD

See Also:
  Constant Field Values

### LINK_NODE2_FIELD

    static final java.lang.String LINK_NODE2_FIELD

See Also:
  Constant Field Values

### ELEVATION_FIELD

    static final java.lang.String ELEVATION_FIELD

See Also:
  Constant Field Values

### IP_FIELD

    static final java.lang.String IP_FIELD

See Also:
  Constant Field Values

### DATABASE_TAG_FIELD

    static final java.lang.String DATABASE_TAG_FIELD

See Also:
  Constant Field Values

### NAME_FIELD

    static final java.lang.String NAME_FIELD

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details